Bug 1570395 - [3.8] openshift-sdn partially deletes openflow rules leading to "no route to host" for service
Summary: [3.8] openshift-sdn partially deletes openflow rules leading to "no route to ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.8.z
Assignee: Dan Winship
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1538220
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 14:47 UTC by Dan Winship
Modified: 2018-08-23 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Incorrect management of OVS flows Consequence: If two nodes rebooted and swapped IP addresses when they came back up, then other nodes might become unable to send traffic to pods on one or both of those nodes. Fix: The code that manages OVS flows is now more careful to make the correct changes in cases of node IP reassignment. Result: Pod-to-pod traffic should continue to work correctly even after nodes swap IP addresses.
Clone Of: 1570394
Environment:
Last Closed: 2018-08-23 14:15:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ose/pull/1216 0 None None None 2020-05-22 14:05:35 UTC

Comment 1 Dan Winship 2018-04-22 14:52:39 UTC
https://github.com/openshift/ose/pull/1216

Comment 2 Dan Winship 2018-08-23 14:15:56 UTC
closing old fixed 3.8 bugs


Note You need to log in before you can comment on or make changes to this bug.